package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.page.QueryInfo;

public class StudentRegistrationQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "是否允许调剂",required = false)
    private String isAllowAdjust;

    @ApiModelProperty(value = "专业编号",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "实际专业编号",required = false)
    private Integer actualSubjectId;

    @ApiModelProperty(value = "学员缴费状态",required = false)
    private String paymentStatus;

    @ApiModelProperty(value = "用户名或手机号",required = false)
    private String name;

    private boolean isExport = false;

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getActualSubjectId() {
        return actualSubjectId;
    }

    public void setActualSubjectId(Integer actualSubjectId) {
        this.actualSubjectId = actualSubjectId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(String isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }
}
